<?php
/**
 *
 * @author  ahrasis http://coding.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     Masa - Surfer's Local Live Time
 *
 */

if (!defined('ELK'))
	die('No access...');

function Masa_Main(&$buttons)
{
	global $modSettings, $context, $settings, $user_info;
	if (!empty($modSettings['masa_enable']) && !$user_info['is_guest'] || !empty($modSettings['masa_guest']) && $user_info['is_guest']){
		// Load the template
		loadTemplate('addons/Masa');
		// Add Masa after login bar
		$context['theme_header_callbacks'] = elk_array_insert($context['theme_header_callbacks'], 'login_bar', array('time_bar'), 'after');
		// Fix Masa css
		$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/' . $context['theme_variant'] . '/Masa' . $context['theme_variant'] . '.css?fin10" />';
	}
}

function Masa_Settings(&$config_vars)
{
	// Load the language
	loadLanguage('addons/Masa');

	// Add the setting
	$masa = array(
			array('check', 'masa_enable'),
			array('check', 'masa_guest'),
			array('text', 'masa_date'),
			'',
	);

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $masa);
}
?>